import { Component, inject } from '@angular/core';
import { PostEditorComponent } from '../../components/post-editor/post-editor.component';
import { NgFor } from '@angular/common';
import { PostsService } from '../../shared/services/posts.service';
import { RouterLink, RouterOutlet } from '@angular/router';

@Component({
  selector: 'app-admin',
  imports: [NgFor, RouterLink],
  standalone: true,
  templateUrl: './admin.component.html',
})
export class AdminComponent {
  posts = inject(PostsService).getPosts();
}
